Gammal.ib - Action #1170

Feature # 591 (In Progress): Investigate how GammalLib can be made VO compliant.

Add object to coordinate transformation using VO services to GSkyDir
03/12/2014 02:04 PM - KnddIseder Jurgen

Status: New Start date: 03/12/2014
Priority: High Due date: 12/31/2014
Assigned To: Louge Thierry % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

A method should be added that allows conversion of an object name to a sky coordinate, making use of Virtual Observatory services.
For example:

GSkyDir dir("Crab");

should create a sky direction object that is initialised to the location of the Crab nebula.
Virtual Observatory services should be used to do the coordinate transformation. This may fail if:

e the user is not connected to the web
¢ the name is not know to the service

On both cases, exceptions should be thrown.

It can also be envisioned to hard-code a reduced list of coordinates for well-known gamma-ray emitters. The hard coding could be
done within the code, or by providing a file (e.g. FITS file) that is shipped with the system.

History

#1 - 06/19/2014 02:56 PM - Knodlseder Jiirgen
- Assigned To set to Louge Thierry

#2 - 06/19/2014 03:54 PM - Knodlseder Jiirgen
Here an example how the problem can be solved in IDL: http:/idlastro.gsfc.nasa.gov/ftp/pro/sockets/querysimbad.pro

For testing, this query works:

http://cdsweb.u-strasbg.fr/cgi-bin/nph-sesame?Crab

and returns a pretty short string

#Crab #Q1911886

#=S=Simbad (via url): 1

%@ 795871

%l.0 M 1

%C.0 SNR

%C.N0 13.13.00.00

%J 83.633083 +22.014500 = 05:34:31.93 +22:00:52.2

%J.E [~ ~ ~] C 2011A&A...533A..10L
%D 7 5 90 (32767) (R) E 2009BASI...37...45G
%#B 4511

#====Done (2014-Jun-19,13:53:40z)====

(see http:/cdsweb.u-strasbg.fr/doc/sesame.htx).

05/01/2024 12



http://idlastro.gsfc.nasa.gov/ftp/pro/sockets/querysimbad.pro
http://cdsweb.u-strasbg.fr/doc/sesame.htx

#3 - 12/11/2014 10:45 PM - Knédlseder Jiirgen
- Priority changed from Normal to High

Any progress here? We should get this working, even if the VO query is hard wired.

#4 - 12/11/2014 10:48 PM - Knodlseder Jiirgen
- Due date set to 12/31/2014

#5 - 12/12/2014 12:35 PM - Knodlseder Jiirgen
Need to find out how to make a http get in C.

Useful links:
e http://stackoverflow.com/questions/11208299/http-get-request-using-c-without-libcurl

e http://cboard.cprogramming.com/c-programming/142841-sending-http-get-request-c.html
e http:/coding.debuntu.org/c-linux-socket-programming-tcp-simple-http-client
